"use strict";
(function ($) {
    $.block_top_destinations_hotel = function (element, options) {
        let defaults = {
            row_state_template: ""
        };
        let plugin = this;
        plugin.settings = {}
        let $element = $(element);
        plugin.init = function () {
            plugin.settings = $.extend({}, defaults, options);
           
            

        };
        plugin.example_function = function () {
        }
        plugin.init();
    }
    $.fn.block_top_destinations_hotel = function (options) {
        return this.each(function () {
            if (undefined == $(this).data('block_top_destinations_hotel')) {
                let plugin = new $.block_top_destinations_hotel(this, options);
                $(this).data('block_top_destinations_hotel', plugin);
            }
        });
    }
    $('div.dropdown-menu').on('click', function(event){
        // The event won't be propagated up to the document NODE and
        // therefore delegated events won't be fired
        event.stopPropagation();
    });
})(jQuery);
